#include <stdio.h>
int main()
{
    long long int n, k, x, i, j, s=0, b=1;
    scanf("%lld%lld%lld", &n, &k, &x);
    long long int a[n];
    for(i=1;i<=n;i++)
    {
        scanf("%lld", &a[i]);
    }
    for(i=1;i<=n-k+1;i++)
    {
        for(j=i;j<i+k;j++)
        {
            s+=a[j]*b;
            if(b<x)
            {
                b++;
            }
        }
        printf("%lld ", s);
        s=0;
        b=1;
    }
}